<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=system'>".LG('Настройки системы')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Языковые настройки')."";
ECHO "</div>"; 

IF (POST('ok')){
  
  $pl = ADSL(POST('panel_lang'));
  
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'LANGUAGE', $pl);
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=system&section=lang');
  
}

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

ECHO "<b>".LG('Язык сайта по умолчанию')." (".LG('официальный язык сайта')."):</b><br />";
ECHO "<select name='panel_lang' class='form-control-select'>";

$dir = ROOT.'/system/languages/plugins/';
  
$f = SCANDIR($dir);
 
FOREACH ($f AS $file){
  
  IF (PREG_MATCH('/\.(php)/', $file)){
    
    $name = BASENAME($file, ".php");
    
    ECHO "<option value='".$name."' ".($panel_lang == $name?" selected='selected'" : NULL).">";
    REQUIRE (ROOT.'/system/languages/plugins/'.$file.'');
    ECHO "</option>";
    
  }
  
}

ECHO "</select>";

ECHO "<br /><br />";

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

ECHO "</div>";

?>